Package org.apache.sysds.runtime.compress.colgroup

# Enum Class AColGroup.CompressionType

java.lang.Object
java.lang.Enum<AColGroup.CompressionType>
org.apache.sysds.runtime.compress.colgroup.AColGroup.CompressionType

All Implemented Interfaces:
  `Serializable`, `Comparable<AColGroup.CompressionType>`, `Constable`

Enclosing class:
  AColGroup

public static enum AColGroup.CompressionType extends Enum<AColGroup.CompressionType>
Public super types of compression ColGroups supported

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONST`
`DDC`
`DDCFOR`
`DDCLZW`
`DeltaDDC`
`EMPTY`
`LinearFunctional`
`OLE`
`RLE`
`SDC`
`SDCFOR`
`UNCOMPRESSED`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isConst()`
`boolean`
`isDense()`
`boolean`
`isSDC()`
`static AColGroup.CompressionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AColGroup.CompressionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNCOMPRESSED

public static final AColGroup.CompressionType UNCOMPRESSED

### RLE

public static final AColGroup.CompressionType RLE

### OLE

public static final AColGroup.CompressionType OLE

### DDC

public static final AColGroup.CompressionType DDC

### CONST

public static final AColGroup.CompressionType CONST

### EMPTY

public static final AColGroup.CompressionType EMPTY

### SDC

public static final AColGroup.CompressionType SDC

### SDCFOR

public static final AColGroup.CompressionType SDCFOR

### DDCFOR

public static final AColGroup.CompressionType DDCFOR

### DeltaDDC

public static final AColGroup.CompressionType DeltaDDC

### DDCLZW

public static final AColGroup.CompressionType DDCLZW

### LinearFunctional

public static final AColGroup.CompressionType LinearFunctional

## Method Details

### values

public static AColGroup.CompressionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AColGroup.CompressionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isDense

public boolean isDense()

### isConst

public boolean isConst()

### isSDC

public boolean isSDC()